%define oname pygobject

%define api 2.0
%define major 0
%define libname %mklibname pyglib-gi %{api} %{major}
%define libname3 %mklibname py3glib-gi %{api} %{major}

%if %{_use_internal_dependency_generator}
%define __noautoprovfiles %{py_platsitedir}/gi/_gobject/__init__.py
%else
%define _exclude_files_from_autoreq ^%{py_platsitedir}/gi/_gobject/__init__.py
%endif

# Disable useless provides ('_gi.so' and similar)
%define __noautoprov '_.*\.so'

Summary:	Python bindings for GObject Introspection

Name:		python-gobject3
Version:	3.13.3
Release:	1
License:	LGPLv2+ and MIT
Group:		Development/Python
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/pygobject/3.13/pygobject-%{version}.tar.xz
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.2
BuildRequires:	pkgconfig(libffi) >= 3.0
BuildRequires:	pkgconfig(pycairo) >= 1.2.0
BuildRequires:	pkgconfig(py3cairo) >= 1.10.0
BuildRequires:	pkgconfig(python) >= 2.5.2
BuildRequires:	pkgconfig(python3)

%description
The %{name} package provides a convenient wrapper for the GObject
library for use in Python programs.

#----------------------------------------------------------------------------

%package -n python-gi
Summary:	Python bindings for GObject Introspection

Group:		Development/Python
Provides:	python-gobject-introspection = %{EVRD}
Provides:	%{name} = %{EVRD}
Conflicts:	python-gobject < 2.28.6-3
Obsoletes:	%{libname}

%description -n python-gi
This package contains the Python GObject Introspection bindings.

%files -n python-gi
%doc python2/README python2/NEWS python2/AUTHORS python2/ChangeLog
%{py_platsitedir}/gi
%{py_platsitedir}/pygtkcompat
%exclude %{py_platsitedir}/gi/_gi_cairo*.so

#----------------------------------------------------------------------------

%package -n python3-gi
Summary:	Python 3 bindings for GObject Introspection

Group:		Development/Python
Provides:	python3-gobject-introspection = %{EVRD}
Provides:	python3-gobject3 = %{EVRD}
Conflicts:	python3-gobject < 2.28.6-3
Obsoletes:	%{libname3}

%description -n python3-gi
This package contains the Python 3 GObject Introspection bindings.

%files -n python3-gi
%doc python3/README python3/NEWS python3/AUTHORS python3/ChangeLog
%{py3_platsitedir}/gi
%{py3_platsitedir}/pygtkcompat
%exclude %{py3_platsitedir}/gi/_gi_cairo*.so

#----------------------------------------------------------------------------

%package -n python-gi-cairo
Summary:	Python-gi bindings for Cairo

Group:		Development/Python
Requires:	python-gi = %{EVRD}
Requires:	typelib(PangoCairo)
Requires:	python-cairo >= 1.10.0
Obsoletes:	python-gobject-cairo < 2.28.6-3
Provides:	python-gobject-cairo = %{EVRD}

%description -n python-gi-cairo
This package contains the Python-gi Cairo bindings.

%files -n python-gi-cairo
%{py_platsitedir}/gi/_gi_cairo*.so

#----------------------------------------------------------------------------

%package -n python3-gi-cairo
Summary:	Python3-gi bindings for Cairo

Group:		Development/Python
Requires:	python3-gi = %{EVRD}
Requires:	typelib(PangoCairo)
Requires:	python3-cairo >= 1.10.0
Obsoletes:	python3-gobject-cairo < 2.28.6-3
Provides:	python3-gobject-cairo = %{EVRD}

%description -n python3-gi-cairo
This package contains the Python-gi Cairo bindings.

%files -n python3-gi-cairo
%{py3_platsitedir}/gi/_gi_cairo*.so

#----------------------------------------------------------------------------

%package -n python3-gobject3-devel
Summary:	Python-gobject development files

Group:		Development/C
Requires:	python3-gi-cairo = %{EVRD}

Obsoletes:	python-gobject3-devel

%description -n python3-gobject3-devel
This contains the python3-gobject development files, including C
header, pkg-config file.

%files -n python3-gobject3-devel
%{_libdir}/pkgconfig/pygobject-3.0.pc
%{_includedir}/pygobject-3.0/pygobject.h

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version} -c
mv %{oname}-%{version} python2
cp -r python2 python3

%build
pushd python3
echo "%__python3"
autoreconf -fi
%configure2_5x PYTHON=%__python3
%make  LDFLAGS="`python3-config --ldflags`"
popd

pushd python2
autoreconf -fi
%configure2_5x PYTHON=%__python
%make LIBS="-lpython%{py_ver}"
popd

%install
pushd python3
PYTHON=%__python3 %makeinstall_std
rm -rf %{buildroot}%{py3_platsitedir}/pygobject-*
popd

pushd python2
%makeinstall_std
rm -rf %{buildroot}%{py_platsitedir}/pygobject-*
popd

# dsextra stuff is for windows installs so remove it
rm -fr %{buildroot}%{py_platsitedir}/gtk-2.0

# docs are out of date and are being reworked upstream
# so remove them
rm -rf %{buildroot}%{_datadir}/gtk-doc
rm -rf %{buildroot}%{_datadir}/pygobject



%changelog
* Wed Jul 16 2014 dsilakov <denis.silakov@rosalab.ru> 3.13.3-1
+ Revision: 1a7cd5c
- Merge pull request #2 from import/python-gobject3:auto_update
- ROSA Updates Builder: update suggested


